unit uSonyFontGUI;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Mask, ToolEdit;

type
  TFormSonyFont = class(TForm)
    Label1: TLabel;
    FontFile: TFilenameEdit;
    Label2: TLabel;
    FontFamily: TComboBox;
    Label3: TLabel;
    OutputDir: TDirectoryEdit;
    BtnGo: TButton;
    procedure FormCreate(Sender: TObject);
    procedure BtnGoClick(Sender: TObject);
  private
  public
  end;

var
  FormSonyFont: TFormSonyFont;

implementation

uses
  uSonyFont;

{$R *.DFM}

procedure TFormSonyFont.FormCreate(Sender: TObject);
begin
  FontFile.InitialDir := GetCurrentDir;
  FontFamily.ItemIndex := 0;
  OutputDir.Text := GetCurrentDir;
end;

procedure TFormSonyFont.BtnGoClick(Sender: TObject);
begin
  PrepareSonyFont(FontFile.Text, TSonyFontFamily(FontFamily.ItemIndex), OutputDir.Text);
end;

end.
